import request from '@/utils/request'


//获取实验室列表
export function getSubList(query) {
  return request({
    url: '/laboratory/subject/cardInfo/subList',
    method: 'get',
    params: query
  })
}
//获取信息牌列表
export function XxpCardInfoList(query) {
  return request({
    url: '/laboratory/XxpCardInfo/list',
    method: 'get',
    params: query
  })
}

//新增信息牌
export function XxpCardInfo(data) {
  return request({
    url: '/laboratory/XxpCardInfo',
    method: 'post',
    data: data
  })
}

//修改信息牌
export function XxpCardInfoPut(data) {
  return request({
    url: '/laboratory/XxpCardInfo',
    method: 'put',
    data:data
  })
}

//删除信息牌
export function XxpCardInfoDelete(id) {
  return request({
    url: '/laboratory/XxpCardInfo/'+id,
    method: 'delete',
  })
}
